#include "ot4xb.ch"
//-------------------------------------------------------------------------------------------------------------------------
#xcommand \<\<   <*e*>  =>   ( QOUT( <"e">) , QOut( <e> ) )
#xcommand \<\<\<  <*e*>  =>  ( QOUT( <"e">) , <e> )
//-------------------------------------------------------------------------------------------------------------------------
proc main()
local oOp := TShFileOperation():New()
local nKey := 0
<<< CreateBigFileIfNotExists( cAppPath() + "BigFile.txt" )
while .T.

   <<< oOp:cFrom := cAppPath() + "BigFile.txt"
   <<< oOp:cTo   := cAppPath() + "new\BigFile.txt"
   <<< oOp:fRenameOnCollision := .T.
   <<< oOp:fWantMappingHandle := .T.
   <<< oOp:cTitle := "This is a Test"   
   <<  oOp:Copy()
   <<  oOp:aMap
   <<  oOp:lCancel                           
   ? "-----------------------------------"
   ? "F2  - Clean test files and exit"
   ? "F5  - Loop"
   ? "Any other key - EXIT "
   nKey := inkey(0)
   if nKey == -1
      cls
      <<< oOp:Reset()
      <<< oOp:cFrom := {}
      <<< aadd( oOp:cFrom , cAppPath() + "BigFile.txt" ) 
      <<< aadd( oOp:cFrom , cAppPath() + "new" ) 
      <<  oOp:Delete()
      ? "Press any key to exit ..."
      inkey(0)
      return
   end
   if nKey == -4
      cls
   else 
      return
   end
end
return
//-------------------------------------------------------------------------------------------------------------------------
function CreateBigFileIfNotExists(cFile)
local oFile
if !FExists( cFile )
   oFile := TBinFile():New()
   if oFile:Create( cFile ) 
      oFile:Goto( 0x5000000 ) // 80MB
      oFile:SetEof()
      oFile:Close()  
   end
end
return ""
// ---------------------------------------------------------------------------

